
# BaseModel::delete 

### Usage

> void BaseModel::delete()

### Description

> Delete a single model instance from the database table.



### Return
> void 
### See Also

* [all()](all)
* [count()](count)
* [deleteMany()](deletemany)
* [getChildren()](getchildren)
* [insert()](insert)
* [insertFromForm()](insertfromform)
* [insertOrUpdate()](insertorupdate)
* [purge()](purge)
* [save()](save)
* [toArray()](toarray)
* [toFormattedArray()](toformattedarray)
* [update()](update)
* [where()](where)
* [whereFirst()](wherefirst)
* [whereId()](whereid)


